<template>
  <web-view :src="src" />
</template>

<script setup lang="ts">
import { useLoadQuerys } from '@/common/composeabe/LoadQuerys';
import { useAuthStore } from '@/store/auth';
import { computed } from 'vue';

const { querys } = useLoadQuerys({ 
  id: 0,  
  name: '',
  points: 0,
  level: 0,
  villageVolunteerId: 0,
});
const authStore = useAuthStore();
const src = computed(() => {
  const url = `https://mn.wenlvti.net/test8/#/admin?id=${querys.value.id}&internalAuth=${encodeURIComponent(JSON.stringify(authStore.getInternalAuth()))}&t=${Date.now()}`
  console.log(url);
  return url;
});
</script>
